// $Id$
/**
 * Copyright (C) 2014 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.taxeditor.editor.view.checklist.handler;

import java.util.Arrays;
import java.util.List;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.IStructuredSelection;
import org.eclipse.jface.viewers.TableViewer;
import org.eclipse.swt.widgets.Table;
import org.eclipse.swt.widgets.TableColumn;
import org.eclipse.ui.handlers.HandlerUtil;

import eu.etaxonomy.cdm.model.taxon.Taxon;
import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.editor.view.checklist.ChecklistEditor;

/**
 * @author a.oppermann
 * @date 15.05.2014
 *
 */
public class OpenDistributionHandler extends AbstractHandler {

    @Override
    public Object execute(ExecutionEvent event) throws ExecutionException {

        ISelection currentSelection = HandlerUtil.getCurrentSelection(event);
        ChecklistEditor editor = (ChecklistEditor) EditorUtil.getActiveEditor();

        if (currentSelection instanceof IStructuredSelection) {

            Object selectedElement = ((IStructuredSelection) currentSelection).getFirstElement();
            if (selectedElement instanceof Taxon) {
                TableViewer viewer = (TableViewer)editor.getViewer();
                final Table table = viewer.getTable();

                TableColumn column2 = table.getColumn(4);
                column2.setWidth(100);
                viewer.refresh();

            }
        }
        return null;
    }
    private static final List<String> DESC_INIT_STRATEGY = Arrays.asList(new String[]{
            "descriptions",
            "descriptions.*",
            "description.state"
    });



}
